OGRE: Ogre::RenderQueueInvocationSequence Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderQueueInvocationSequence Class Reference

Class to hold a linear sequence of RenderQueueInvocation objects. More...

`#include <OgreRenderQueueInvocation.h>`

List of all members.

## Public Member Functions

| RenderQueueInvocationSequence (const String &name)
virtual | ~RenderQueueInvocationSequence ()
const String & | getName (void) const
| Get the name of this sequence.
RenderQueueInvocation * | add (uint8 renderQueueGroupID, const String &invocationName)
| Add a standard invocation to the sequence.
void | add (RenderQueueInvocation *i)
| Add a custom invocation to the sequence.
size_t | size (void) const
| Get the number of invocations in this sequence.
void | clear (void)
| Clear and delete all invocations in this sequence.
RenderQueueInvocation * | get (size_t index)
| Gets the details of an invocation at a given index.
void | remove (size_t index)
| Removes (and deletes) an invocation by index.
RenderQueueInvocationIterator | iterator (void)
| Get an iterator over the invocations.

## Protected Attributes

String | mName
RenderQueueInvocationList | mInvocations

## Detailed Description

Class to hold a linear sequence of RenderQueueInvocation objects.

Remarks:
  This is just a simple data holder class which contains a list of RenderQueueInvocation objects representing the sequence of invocations made for a viewport. It's only real purpose is to ensure that RenderQueueInvocation instances are deleted on shudown, since you can provide your own subclass instances on RenderQueueInvocation. Remember that any invocation instances you give to this class will be deleted by it when it is cleared / destroyed.

Definition at line 168 of file OgreRenderQueueInvocation.h.

## Constructor & Destructor Documentation

Ogre::RenderQueueInvocationSequence::RenderQueueInvocationSequence | ( | const String & | name | ) |

virtual Ogre::RenderQueueInvocationSequence::~RenderQueueInvocationSequence | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::RenderQueueInvocationSequence::add | ( | RenderQueueInvocation * | i | ) |

Add a custom invocation to the sequence.

Remarks:
  Use this to add your own custom subclasses of RenderQueueInvocation to the sequence; just remember that this class takes ownership of deleting this pointer when it is cleared / destroyed.

RenderQueueInvocation* Ogre::RenderQueueInvocationSequence::add | ( | uint8 | renderQueueGroupID,
|  | const String & | invocationName
| ) |

Add a standard invocation to the sequence.

Parameters:

  | renderQueueGroupID | The ID of the render queue group
  | invocationName | Optional name to identify the invocation, useful for listeners if a single queue group is invoked more than once

Returns:
  A new RenderQueueInvocatin instance which you may customise

void Ogre::RenderQueueInvocationSequence::clear | ( | void |  | ) |

| Clear and delete all invocations in this sequence.

RenderQueueInvocation* Ogre::RenderQueueInvocationSequence::get | ( | size_t | index | ) |

| Gets the details of an invocation at a given index.

const String& Ogre::RenderQueueInvocationSequence::getName | ( | void |  | ) | const

| Get the name of this sequence. Definition at line 178 of file OgreRenderQueueInvocation.h.

RenderQueueInvocationIterator Ogre::RenderQueueInvocationSequence::iterator | ( | void |  | ) |

| Get an iterator over the invocations.

void Ogre::RenderQueueInvocationSequence::remove | ( | size_t | index | ) |

| Removes (and deletes) an invocation by index.

size_t Ogre::RenderQueueInvocationSequence::size | ( | void |  | ) | const

| Get the number of invocations in this sequence. Definition at line 198 of file OgreRenderQueueInvocation.h.

## Member Data Documentation

RenderQueueInvocationList Ogre::RenderQueueInvocationSequence::mInvocations`[protected]`

| Definition at line 172 of file OgreRenderQueueInvocation.h.

String Ogre::RenderQueueInvocationSequence::mName`[protected]`

| Definition at line 171 of file OgreRenderQueueInvocation.h.

The documentation for this class was generated from the following file:

- OgreRenderQueueInvocation.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:00 2008